Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components.template
Class TemplateRenderingContext

    java.lang.Object
      org.apache.struts2.components.template.TemplateRenderingContext

    public class TemplateRenderingContext

extends Object

Context used when rendering templates.

Field Summary
`(package private) Map` | `parameters`
`(package private) ValueStack` | `stack`
`(package private) UIBean` | `tag`
`(package private) Template` | `template`
`(package private) Writer` | `writer`

Constructor Summary
`TemplateRenderingContext(Template template, Writer writer, ValueStack stack, Map params, UIBean tag)` Constructor

Method Summary
`Map` | `getParameters()`
`ValueStack` | `getStack()`
`UIBean` | `getTag()`
`Template` | `getTemplate()`
`Writer` | `getWriter()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### template

    Template template

### stack

    ValueStack stack

### parameters

    Map parameters

### tag

    UIBean tag

### writer

    Writer writer

Constructor Detail

### TemplateRenderingContext

    public TemplateRenderingContext(Template template,
                                    Writer writer,
                                    ValueStack stack,
                                    Map params,
                                    UIBean tag)

  Constructor

  Parameters:
    `template` - the template.
    `writer` - the writer.
    `stack` - OGNL value stack.
    `params` - parameters to this template.
    `tag` - the tag UI component.

Method Detail

### getTemplate

    public Template getTemplate()

### getStack

    public ValueStack getStack()

### getParameters

    public Map getParameters()

### getTag

    public UIBean getTag()

### getWriter

    public Writer getWriter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.